GET /Observation
Summary: Search observations
Operation ID: searchObservation
Auth: none
Operation ID: searchObservation
Auth: none
Description
Search for clinical observations, vitals, and measurements
Parameters (5)
_count
(integer, query, optional, default: 20)
Number of results per page
code
(string, query, optional)
Observation LOINC code (e.g., 8867-4 for heart rate)
date
(string, query, optional)
Observation date (gt, lt, ge, le prefixes supported)
patient
(string, query, optional)
Patient reference (Patient/{id})
value-quantity
(string, query, optional)
Numeric value with unit
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search body temperature observations for a patient | curl |
https://hapi.fhir.org/baseR4/Observation?code=http://loinc.org|8310-5&patient=example&status=final&_count=10 |
|
| Search heart rate observations from last 30 days | curl |
https://hapi.fhir.org/baseR4/Observation?code=http://loinc.org|8867-4&date=ge2026-02-13&_count=20 |
|
| Search all observations for a specific patient with pagination | curl |
https://hapi.fhir.org/baseR4/Observation?patient=Patient/1&_count=50 |
|
| Search Observations | probe-gate |
https://hapi.fhir.org/baseR4/Observation |
|
| Search observations | probe-gate |
https://hapi.fhir.org/baseR4/Observation?_count=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:21:05.504401 | 200 | 535ms | |
| 2026-03-23 10:20:01.302311 | 200 | 495ms | |
| 2026-03-23 09:38:45.467090 | 200 | 490ms | |
| 2026-03-23 09:27:22.360708 | 200 | 493ms | |
| 2026-03-23 09:26:21.011746 | 200 | 486ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:27:22.360708 | 6a65ad101705 |
ca4bd40d7cb3 |
| 2026-03-23 09:38:45.467090 | ca4bd40d7cb3 |
2ec983b83d33 |
| 2026-03-23 10:20:01.302311 | 2ec983b83d33 |
b013b266a3c1 |
| 2026-03-23 10:21:05.504401 | b013b266a3c1 |
9ed98f0d1992 |